<?
require_once('include/global.php');
require_once("include/admin_mailing_lib.php");
require_once('include/admin_lib.php');
//require_once('sadmin_conf.inc.php');

mail_server_check_limit();		// 메일서버가 동작중인지 확인

// check


// set
	if ($_GET['isadmin'])
	{
		auth_limit('admin');
		$CFG['TITLE'] = '<b>관리자메뉴</b> >> <b>메일링 리스트 관리</b> >> <b>추가</b>';
		$_GET['d_no'] = $G['DINFO']['d_no'];
	} else
	{
		auth_limit('serveradmin');
		$CFG['TITLE'] = '<b>메일서버관리</b> >> <b>전체 메일링 리스트 관리</b> >> <b>추가</b>';
	}	// if()

	// [2012-10-16] 메일링 리스트 개수 제한
	$q = "SELECT COUNT(*) FROM " . $TB['MEMBER'] . " WHERE m_usertype='M' AND d_no='" . $_GET['d_no'] . "'";
	$limit_cnt = db_get_one($q);
	if ($limit_cnt >= $G_SYS['MAILING_USER_LIMIT'])
		msg("메일링 리스트는 최대 ".$G_SYS['MAILING_USER_LIMIT']."개까지 등록할 수 있습니다.");

// data
	$row = array();
	$view = array();
	$view = setform_admin_mailing($row);

// skin view
	$CFG['ACTION'] = 'admin_mailing_add_ok.php';
	nskinset('sadmin', 'admin_mailing_form.html');
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>